<?php

namespace Offerte\Offerte;

use DB;
use Illuminate\Database\Seeder;

class ResumeTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('resumes')->insert([
            [
                "Nsme"                => 'table1',
            ],
            [
                "Nsme"                => 'table2',
            ],
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'offerte.resume.view',
                'name'      => 'View Resume',
            ],
            [
                'slug'      => 'offerte.resume.create',
                'name'      => 'Create Resume',
            ],
            [
                'slug'      => 'offerte.resume.edit',
                'name'      => 'Update Resume',
            ],
            [
                'slug'      => 'offerte.resume.delete',
                'name'      => 'Delete Resume',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'offerte.resume.verify',
                'name'      => 'Verify Resume',
            ],
            [
                'slug'      => 'offerte.resume.approve',
                'name'      => 'Approve Resume',
            ],
            [
                'slug'      => 'offerte.resume.publish',
                'name'      => 'Publish Resume',
            ],
            [
                'slug'      => 'offerte.resume.unpublish',
                'name'      => 'Unpublish Resume',
            ],
            [
                'slug'      => 'offerte.resume.cancel',
                'name'      => 'Cancel Resume',
            ],
            [
                'slug'      => 'offerte.resume.archive',
                'name'      => 'Archive Resume',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/offerte/resume',
                'name'        => 'Resume',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/offerte/resume',
                'name'        => 'Resume',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'resume',
                'name'        => 'Resume',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Offerte',
                'module'    => 'Resume',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'offerte.resume.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
