<?php

// web routes  for test_module
Route::prefix('{guard}/offerte')->group(function () {
    Route::resource('test_module', 'TestModuleResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'TestModuleResourceController');
            });
            // Public routes for pages
            Route::get('offertes/', 'TestModulePublicController@index');
            Route::get('offertes/{slug?}', 'TestModulePublicController@show');
        }
    );
}


// web routes  for resume
Route::prefix('{guard}/offerte')->group(function () {
    Route::resource('resume', 'ResumeResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ResumeResourceController');
            });
            // Public routes for pages
            Route::get('offertes/', 'ResumePublicController@index');
            Route::get('offertes/{slug?}', 'ResumePublicController@show');
        }
    );
}

