<?php

namespace Offerte\Offerte;

use User;

class Offerte
{
    /**
     * $test_module object.
     */
    protected $test_module;
    /**
     * $resume object.
     */
    protected $resume;

    /**
     * Constructor.
     */
    public function __construct(\Offerte\Offerte\Interfaces\TestModuleRepositoryInterface $test_module,
        \Offerte\Offerte\Interfaces\ResumeRepositoryInterface $resume)
    {
        $this->test_module = $test_module;
        $this->resume = $resume;
    }

    /**
     * Returns count of offerte.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.test_module.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->test_module->pushCriteria(new \Litepie\Offerte\Repositories\Criteria\TestModuleUserCriteria());
        }

        $test_module = $this->test_module->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('offerte::' . $view, compact('test_module'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.resume.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->resume->pushCriteria(new \Litepie\Offerte\Repositories\Criteria\ResumeUserCriteria());
        }

        $resume = $this->resume->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('offerte::' . $view, compact('resume'))->render();
    }
}
