<?php

namespace Offerte\Offerte\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind TestModule policy
        'Offerte\Offerte\Models\TestModule' => \Offerte\Offerte\Policies\TestModulePolicy::class,
// Bind Resume policy
        'Offerte\Offerte\Models\Resume' => \Offerte\Offerte\Policies\ResumePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
