<?php

namespace Offerte\Offerte\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ResumeTransformer extends TransformerAbstract
{
    public function transform(\Offerte\Offerte\Models\Resume $resume)
    {
        return [
            'id'                => $resume->getRouteKey(),
            'key'               => [
                'public'    => $resume->getPublicKey(),
                'route'     => $resume->getRouteKey(),
            ], 
            'Nsme'              => $resume->Nsme,
            'url'               => [
                'public'    => trans_url('offerte/'.$resume->getPublicKey()),
                'user'      => guard_url('offerte/resume/'.$resume->getRouteKey()),
            ], 
            'status'            => trans('app.'.$resume->status),
            'created_at'        => format_date($resume->created_at),
            'updated_at'        => format_date($resume->updated_at),
        ];
    }
}