<?php

namespace Offerte\Offerte\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Offerte\Offerte\Models\Resume;

class ResumeAction
{
    /**
     * Perform the complete action.
     *
     * @param Resume $resume
     *
     * @return Resume
     */
    public function complete(Resume $resume)
    {
        try {
            $resume->status = 'complete';
            return $resume->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param Resume $resume
     *
     * @return Resume
     */public function verify(Resume $resume)
    {
        try {
            $resume->status = 'verify';
            return $resume->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param Resume $resume
     *
     * @return Resume
     */public function approve(Resume $resume)
    {
        try {
            $resume->status = 'approve';
            return $resume->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param Resume $resume
     *
     * @return Resume
     */public function publish(Resume $resume)
    {
        try {
            $resume->status = 'publish';
            return $resume->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param Resume $resume
     *
     * @return Resume
     */
    public function archive(Resume $resume)
    {
        try {
            $resume->status = 'archive';
            return $resume->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param Resume $resume
     *
     * @return Resume
     */
    public function unpublish(Resume $resume)
    {
        try {
            $resume->status = 'unpublish';
            return $resume->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
