<?php

namespace Offerte\Offerte\Workflow;

use Offerte\Offerte\Models\Resume;
use Offerte\Offerte\Notifications\ResumeWorkflow as ResumeNotifyer;
use Notification;

class ResumeNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Resume $resume
     *
     * @return void
     */
    public function complete(Resume $resume)
    {
        return Notification::send($resume->user, new ResumeNotifyer($resume, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Resume $resume
     *
     * @return void
     */
    public function verify(Resume $resume)
    {
        return Notification::send($resume->user, new ResumeNotifyer($resume, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Resume $resume
     *
     * @return void
     */
    public function approve(Resume $resume)
    {
        return Notification::send($resume->user, new ResumeNotifyer($resume, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Resume $resume
     *
     * @return void
     */
    public function publish(Resume $resume)
    {
        return Notification::send($resume->user, new ResumeNotifyer($resume, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Resume $resume
     *
     * @return void
     */
    public function archive(Resume $resume)
    {
        return Notification::send($resume->user, new ResumeNotifyer($resume, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Resume $resume
     *
     * @return void
     */
    public function unpublish(Resume $resume)
    {
        return Notification::send($resume->user, new ResumeNotifyer($resume, 'unpublish'));;

    }
}
